## python-gffutils 0.9

=== requirements.txt ===
pyfaidx
six
argh
argcomplete
simplejson

## python-gffutils 0.8.7.1

=== debian/changelog ===
python-gffutils (0.8.7.1-1) unstable; urgency=medium

  * Initial release. (Closes: #851488)

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Sun, 15 Jan 2017 06:54:17 -0800

=== debian/control ===
Source: python-gffutils
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Michael R. Crusoe <michael.crusoe@gmail.com>
Section: python
Priority: optional
Build-Depends: debhelper (>= 10),
               dh-python,
               bedtools,
               python3,
               python3-all,
               python3-setuptools,
               python3-simplejson,
               python3-six,
               python3-argcomplete,
               python3-argh,
               python3-pyfaidx,
               python3-nose,
               python3-biopython,
               python3-pybedtools
Standards-Version: 3.9.8
Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/python-gffutils.git
Vcs-Git: https://anonscm.debian.org/git/debian-med/python-gffutils.git
Homepage: https://daler.github.io/gffutils

Package: python3-gffutils
Architecture: all
Depends: ${python3:Depends},
         ${misc:Depends}
Description: Work with GFF and GTF files in a flexible database framework
 A Python package for working with and manipulating the GFF and GTF format
 files typically used for genomic annotations.  Files are loaded into a
 sqlite3 database, allowing much more complex manipulation of hierarchical
 features (e.g., genes, transcripts, and exons) than is possible with
 plain-text methods alone.

## python-gffutils 0.9

=== debian/changelog ===
python-gffutils (0.9-1) unstable; urgency=medium

  * Reupload after removal (#894298)

  * New upstream version.
  * d/u/metadata: Added RRIDs
  * Added myself to uploaders.
  * Changed section from python to science
  * TODO: build documentation

 -- Steffen Moeller <moeller@debian.org>  Thu, 17 Jan 2019 21:02:56 +0100

python-gffutils (0.8.7.1-1) REMOVED; urgency=medium

  * Initial release. (Closes: #851488)

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Sun, 15 Jan 2017 06:54:17 -0800

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,12 @@
 Source: python-gffutils
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
-Uploaders: Michael R. Crusoe <michael.crusoe@gmail.com>
-Section: python
+Uploaders: Michael R. Crusoe <michael.crusoe@gmail.com>,
+ Steffen Moeller <moeller@debian.org>
+Section: science
 Priority: optional
 Build-Depends: debhelper (>= 10),
                dh-python,
                bedtools,
-               python3,
                python3-all,
                python3-setuptools,
                python3-simplejson,
@@ -17,9 +17,9 @@
                python3-nose,
                python3-biopython,
                python3-pybedtools
-Standards-Version: 3.9.8
-Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/python-gffutils.git
-Vcs-Git: https://anonscm.debian.org/git/debian-med/python-gffutils.git
+Standards-Version: 4.3.0
+Vcs-Browser: https://salsa.debian.org/med-team/python-gffutils
+Vcs-Git: https://salsa.debian.org/med-team/python-gffutils.git
 Homepage: https://daler.github.io/gffutils
 
 Package: python3-gffutils

=== debian/rules ===
#!/usr/bin/make -f

DH_VERBOSE := 1

export PYBUILD_NAME=gffutils
export PYBUILD_DISABLE=test  # https://github.com/daler/gffutils/issues/91

%:
	dh $@ --with python3 --buildsystem=pybuild

## python-gffutils 0.10.1

=== requirements.txt ===
pyfaidx>=0.5.5.2
six>=1.12.0
argh>=0.26.2
argcomplete>=1.9.4
simplejson

=== debian/changelog ===
python-gffutils (0.10.1-2) unstable; urgency=medium

  * Team upload.

  [ Stefano Rivera ]
  * Avoid deadlocks in tests under Python 3.8
    Closes: #950853

  [ Andreas Tille ]
  * Standards-Version: 4.5.0 (routine-update)
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * autopkgtest:
     - s/$ADTTMP/$AUTOPKGTEST_TMP/g
     - cleanup after running test suite
     - rename test script to run-unit-test
     - document how users can test installation

 -- Andreas Tille <tille@debian.org>  Tue, 18 Feb 2020 10:38:32 +0100

python-gffutils (0.10.1-1) unstable; urgency=medium

  * New upstream version
  * Freshen patches, removing two applied upstream
  * Remove obsolete fields Name from debian/upstream/metadata.

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Wed, 01 Jan 2020 12:49:11 +0100

python-gffutils (0.9-2) unstable; urgency=medium

  * debhelper 11
  * debhelper-compat 12
  * Standards-Version: 4.4.0
  * Set upstream metadata fields: Name.
  * Enable running the tests at build time; added autopkgtesting of upstream's
    built-in tests
  * Generate a unix manual page for gffutils-cli
  * Recommend python3-pybedtools

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Tue, 24 Sep 2019 16:58:24 +0200

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,10 @@
 Source: python-gffutils
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders: Michael R. Crusoe <michael.crusoe@gmail.com>,
- Steffen Moeller <moeller@debian.org>
+           Steffen Moeller <moeller@debian.org>
 Section: science
 Priority: optional
-Build-Depends: debhelper (>= 10),
+Build-Depends: debhelper-compat (= 12),
                dh-python,
                bedtools,
                python3-all,
@@ -16,8 +16,9 @@
                python3-pyfaidx,
                python3-nose,
                python3-biopython,
-               python3-pybedtools
-Standards-Version: 4.3.0
+               python3-pybedtools,
+               help2man
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/med-team/python-gffutils
 Vcs-Git: https://salsa.debian.org/med-team/python-gffutils.git
 Homepage: https://daler.github.io/gffutils
@@ -25,7 +26,9 @@
 Package: python3-gffutils
 Architecture: all
 Depends: ${python3:Depends},
-         ${misc:Depends}
+         ${misc:Depends},
+         python3-biopython
+Recommends: python3-pybedtools
 Description: Work with GFF and GTF files in a flexible database framework
  A Python package for working with and manipulating the GFF and GTF format
  files typically used for genomic annotations.  Files are loaded into a

=== debian/rules ===
#!/usr/bin/make -f
SHELL=bash  # needed for the <(echo …) process subsitution temporary file

DH_VERBOSE := 1

include /usr/share/dpkg/pkg-info.mk

export PYBUILD_NAME=gffutils
export PYBUILD_TEST_ARGS=--with-doctest -a '!slow'
export PYBUILD_AFTER_TEST=find . -name tmp.db -delete

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_build:
	dh_auto_build
	PYTHONPATH=$(CURDIR) PATH=$(CURDIR)/gffutils/scripts/:$(PATH) \
		   help2man --version-string=${DEB_VERSION_UPSTREAM} --no-info \
		   --name="Command line interface for python-gffutils." \
		   gffutils-cli > debian/gffutils-cli.1
	PYTHONPATH=$(CURDIR) PATH=$(CURDIR)/gffutils/scripts/:$(PATH) \
		   help2man --version-string=${DEB_VERSION_UPSTREAM} --no-info \
		   --include <(echo -e "[NAME]\ngffutils-cli_fetch \- Fetch IDs") \
		   'gffutils-cli fetch' > debian/gffutils-cli-fetch.1
	PYTHONPATH=$(CURDIR) PATH=$(CURDIR)/gffutils/scripts/:$(PATH) \
		   help2man --version-string=${DEB_VERSION_UPSTREAM} --no-info \
		   --include <(echo -e "[NAME]\ngffutils-cli_children \- Fetch children from the database according to ID") \
		   'gffutils-cli children' > debian/gffutils-cli-children.1
	PYTHONPATH=$(CURDIR) PATH=$(CURDIR)/gffutils/scripts/:$(PATH) \
		   help2man --version-string=${DEB_VERSION_UPSTREAM} --no-info \
		   --include <(echo -e "[NAME]\ngffutils-cli_parents \- Fetch parents from the database according to ID") \
		   'gffutils-cli parents' > debian/gffutils-cli-parents.1
	PYTHONPATH=$(CURDIR) PATH=$(CURDIR)/gffutils/scripts/:$(PATH) \
		   help2man --version-string=${DEB_VERSION_UPSTREAM} --no-info \
		   --include <(echo -e "[NAME]\ngffutils-cli_region \- Returns features within provided genomic coordinates") \
		   'gffutils-cli region' > debian/gffutils-cli-region.1
	PYTHONPATH=$(CURDIR) PATH=$(CURDIR)/gffutils/scripts/:$(PATH) \
		   help2man --version-string=${DEB_VERSION_UPSTREAM} --no-info \
		   --include <(echo -e "[NAME]\ngffutils-cli_create \- Create a database") \
		   'gffutils-cli create' > debian/gffutils-cli-create.1
	PYTHONPATH=$(CURDIR) PATH=$(CURDIR)/gffutils/scripts/:$(PATH) \
		   help2man --version-string=${DEB_VERSION_UPSTREAM} --no-info \
		   --include <(echo -e "[NAME]\ngffutils-cli_common \- Identify child features in common") \
		   'gffutils-cli common' > debian/gffutils-cli-common.1
	PYTHONPATH=$(CURDIR) PATH=$(CURDIR)/gffutils/scripts/:$(PATH) \
		   help2man --version-string=${DEB_VERSION_UPSTREAM} --no-info \
		   --include <(echo -e "[NAME]\ngffutils-cli_clean \- Perform various QC operations to clean a GFF or GTF file") \
		   'gffutils-cli clean' > debian/gffutils-cli-clean.1
	PYTHONPATH=$(CURDIR) PATH=$(CURDIR)/gffutils/scripts/:$(PATH) \
		   help2man --version-string=${DEB_VERSION_UPSTREAM} --no-info \
		   --include <(echo -e "[NAME]\ngffutils-cli_sanitize \- Sanitize a GFF file") \
		   'gffutils-cli sanitize' > debian/gffutils-cli-sanitize.1
	PYTHONPATH=$(CURDIR) PATH=$(CURDIR)/gffutils/scripts/:$(PATH) \
		   help2man --version-string=${DEB_VERSION_UPSTREAM} --no-info \
		   --include <(echo -e "[NAME]\ngffutils-cli_rmdups \- Remove duplicates from a GFF file") \
		   'gffutils-cli rmdups' > debian/gffutils-cli-rmdups.1

=== debian/tests/control ===
Tests: run-unit-test
Depends: python3-gffutils, python3-nose
Restrictions: allow-stderr

## python-gffutils 0.11.0

=== debian/changelog ===
python-gffutils (0.11.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.6.1 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Remove backup file from install dir

 -- Andreas Tille <tille@debian.org>  Sun, 17 Jul 2022 16:13:44 +0200

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,10 @@
 Source: python-gffutils
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
-Uploaders: Michael R. Crusoe <michael.crusoe@gmail.com>,
+Uploaders: Michael R. Crusoe <crusoe@debian.org>,
            Steffen Moeller <moeller@debian.org>
 Section: science
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-python,
                bedtools,
                python3-all,
@@ -18,10 +18,11 @@
                python3-biopython,
                python3-pybedtools,
                help2man
-Standards-Version: 4.5.0
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/med-team/python-gffutils
 Vcs-Git: https://salsa.debian.org/med-team/python-gffutils.git
 Homepage: https://daler.github.io/gffutils
+Rules-Requires-Root: no
 
 Package: python3-gffutils
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -54,3 +54,7 @@
 		   help2man --version-string=${DEB_VERSION_UPSTREAM} --no-info \
 		   --include <(echo -e "[NAME]\ngffutils-cli_rmdups \- Remove duplicates from a GFF file") \
 		   'gffutils-cli rmdups' > debian/gffutils-cli-rmdups.1
+
+override_dh_install:
+	dh_install
+	find debian -name "*.bak" -delete

## python-gffutils 0.11.1

=== debian/changelog ===
python-gffutils (0.11.1-3) unstable; urgency=medium

  * d/control: restore support for all python3 versions.
  * d/control: declare compliance to standards version 4.6.2.
  * d/control: add myself to uploaders.

 -- Étienne Mollier <emollier@debian.org>  Sat, 07 Jan 2023 15:10:03 +0100

python-gffutils (0.11.1-2) unstable; urgency=medium

  * Team upload.

  [ Michael R. Crusoe ]
  * Patch out usage of nose in favor of pytest. Closes: #1018501
  * Mark the python3 patch as not needing forwarding. Update my email
    address in more places

  [ Étienne Mollier ]
  * d/control: stick to default python3 3.10.
  * d/lintian-overrides: refresh overrides.

 -- Étienne Mollier <emollier@debian.org>  Sun, 04 Dec 2022 18:42:16 +0100

python-gffutils (0.11.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 0.11.1

 -- Nilesh Patra <nilesh@debian.org>  Thu, 13 Oct 2022 22:10:06 +0530

python-gffutils (0.11.0-2) UNRELEASED; urgency=medium

  * Team upload.
  * Drop unused include-binaries

 -- Andreas Tille <tille@debian.org>  Sun, 17 Jul 2022 16:53:16 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: python-gffutils
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders: Michael R. Crusoe <crusoe@debian.org>,
-           Steffen Moeller <moeller@debian.org>
+           Steffen Moeller <moeller@debian.org>,
+           Étienne Mollier <emollier@debian.org>
 Section: science
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
@@ -14,11 +15,11 @@
                python3-argcomplete,
                python3-argh,
                python3-pyfaidx,
-               python3-nose,
+               python3-pytest,
                python3-biopython,
                python3-pybedtools,
                help2man
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/med-team/python-gffutils
 Vcs-Git: https://salsa.debian.org/med-team/python-gffutils.git
 Homepage: https://daler.github.io/gffutils

=== debian/rules ===
--- 
+++ 
@@ -6,7 +6,8 @@
 include /usr/share/dpkg/pkg-info.mk
 
 export PYBUILD_NAME=gffutils
-export PYBUILD_TEST_ARGS=--with-doctest -a '!slow'
+export PYBUILD_TEST_ARGS=--doctest-modules -m 'not slow'
+export PYBUILD_TEST_PYTEST=true
 export PYBUILD_AFTER_TEST=find . -name tmp.db -delete
 
 %:

## python-gffutils 0.12

=== debian/changelog ===
python-gffutils (0.12-3) unstable; urgency=medium

  * d/patches: add pytest 8.x compatability. Closes: #1063974
  * Build-Depends: s/dh-python/dh-sequence-python3/ (routine-update)

 -- Michael R. Crusoe <crusoe@debian.org>  Wed, 06 Mar 2024 09:54:18 +0100

python-gffutils (0.12-2) unstable; urgency=medium

  * Team Upload.
  * Add patch to fixup faulty version parsing (Closes: #1054738)

 -- Nilesh Patra <nilesh@debian.org>  Sun, 05 Nov 2023 01:00:49 +0000

python-gffutils (0.12-1) unstable; urgency=medium

  * New upstream version 0.12
  * newer_bedtools patch: refresh; a file moved.
  * pytest patch: delete: applied upstream.
  * d/rules: remove leftover db file from dist-packages.

 -- Étienne Mollier <emollier@debian.org>  Thu, 20 Jul 2023 01:06:25 +0200

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Section: science
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
-               dh-python,
+               dh-sequence-python3,
                bedtools,
                python3-all,
                python3-setuptools,

=== debian/rules ===
--- 
+++ 
@@ -11,7 +11,7 @@
 export PYBUILD_AFTER_TEST=find . -name tmp.db -delete
 
 %:
-	dh $@ --with python3 --buildsystem=pybuild
+	dh $@ --buildsystem=pybuild
 
 override_dh_auto_build:
 	dh_auto_build
@@ -59,3 +59,4 @@
 override_dh_install:
 	dh_install
 	find debian -name "*.bak" -delete
+	find debian -name "issue_*.db" -delete

## python-gffutils 0.13

=== requirements.txt ===
pyfaidx>=0.5.5.2
argh>=0.26.2
argcomplete>=1.9.4
simplejson

=== debian/changelog ===
python-gffutils (0.13-4) unstable; urgency=medium

  * d/rules: preserve original FBgn0031208.gtf.db.
    Thanks to Chris Lamb (Closes: #1120066)
  * d/watch: convert to PyPI watch file v5.
  * pytest8.4.patch: file the dep3 header.

 -- Étienne Mollier <emollier@debian.org>  Tue, 04 Nov 2025 20:54:03 +0100

python-gffutils (0.13-3) unstable; urgency=medium

  * Team upload.
  * Patch test for Pytest 8.4 compatibility

 -- Alexandre Detiste <tchet@debian.org>  Sat, 23 Aug 2025 18:55:58 +0200

python-gffutils (0.13-2) unstable; urgency=medium

  * Team upload.
  * Patch-out usage of simplejson

 -- Alexandre Detiste <tchet@debian.org>  Fri, 17 Jan 2025 16:37:19 +0100

python-gffutils (0.13-1) unstable; urgency=medium

  * Team Upload.
  * Standards-Version: 4.7.0 (routine-update)
  * Refresh patches
  * Remove dependency on python3-six

  [ Michael R. Crusoe ]
  * d/patches/pytest8: applied upstream.

 -- Alexandre Detiste <tchet@debian.org>  Sat, 13 Apr 2024 20:40:16 +0200

=== debian/control ===
--- 
+++ 
@@ -10,8 +10,6 @@
                bedtools,
                python3-all,
                python3-setuptools,
-               python3-simplejson,
-               python3-six,
                python3-argcomplete,
                python3-argh,
                python3-pyfaidx,
@@ -19,11 +17,10 @@
                python3-biopython,
                python3-pybedtools,
                help2man
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/med-team/python-gffutils
 Vcs-Git: https://salsa.debian.org/med-team/python-gffutils.git
 Homepage: https://daler.github.io/gffutils
-Rules-Requires-Root: no
 
 Package: python3-gffutils
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -14,6 +14,9 @@
 	dh $@ --buildsystem=pybuild
 
 override_dh_auto_build:
+	# Preserve original data file, see #1120066.
+	cp $(CURDIR)/gffutils/test/data/FBgn0031208.gtf.db \
+		$(CURDIR)/gffutils/test/data/FBgn0031208.gtf.db.orig
 	dh_auto_build
 	PYTHONPATH=$(CURDIR) PATH=$(CURDIR)/gffutils/scripts/:$(PATH) \
 		   help2man --version-string=${DEB_VERSION_UPSTREAM} --no-info \
@@ -56,6 +59,15 @@
 		   --include <(echo -e "[NAME]\ngffutils-cli_rmdups \- Remove duplicates from a GFF file") \
 		   'gffutils-cli rmdups' > debian/gffutils-cli-rmdups.1
 
+
+override_dh_auto_test:
+	PATH=$(CURDIR)/gffutils/scripts/:$(PATH) dh_auto_test
+
+execute_before_dh_auto_install:
+	# Restore original data file, see #1120066.
+	mv -f $(CURDIR)/gffutils/test/data/FBgn0031208.gtf.db.orig \
+		$(CURDIR)/gffutils/test/data/FBgn0031208.gtf.db
+
 override_dh_install:
 	dh_install
 	find debian -name "*.bak" -delete

=== debian/watch ===
Version: 5

Source: https://pypi.python.org/packages/source/g/gffutils/
Matching-Pattern: gffutils-@ANY_VERSION@@ARCHIVE_EXT@
UVersion-Mangle: s/(rc|a|b|c)/~$1/
